<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Analytics/ScriptAnalytics.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/daa/_script_analytics_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ScriptAnalytics.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/daa/_script_analytics_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/daa/_script_analytics_8c.html#a896898296c3357937f9f56a6fd6ac737">    1</a></span><span class="comment">// class binded to engine</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/dff/class_stats_event_measures_data.html">StatsEventMeasuresData</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#aded2c1b30599ffc6d7f8a57075412ccc">    4</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#aded2c1b30599ffc6d7f8a57075412ccc">m_CharacterId</a>;       </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a7e2047ba2fe139dddd25fa71e545f68a">    5</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a7e2047ba2fe139dddd25fa71e545f68a">m_TimeInterval</a>;         </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#abc4511002dcf287d553576c34e4e4735">    6</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#abc4511002dcf287d553576c34e4e4735">m_DaytimeHour</a>;          </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a4d4d4aadbce8860f49790023b8f5b74a">    7</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a4d4d4aadbce8860f49790023b8f5b74a">m_PositionStart</a>;     </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#ad6c43de4d2c1ce61599ee31b42cef343">    8</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#ad6c43de4d2c1ce61599ee31b42cef343">m_PositionEnd</a>;       </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#af5780437c7637ed6537afed67122b696">    9</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#af5780437c7637ed6537afed67122b696">m_DistanceOnFoot</a>;     </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d8/daa/_script_analytics_8c.html#a86e420edd2e5579e19707c18c7f02401">   10</a></span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a66b7a3c90ab6b38f9d916551bc74e517">   11</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a66b7a3c90ab6b38f9d916551bc74e517">m_DistanceVehicle</a>;    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a992eef32795fd9f02e4abcde0fe86aac">   12</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a992eef32795fd9f02e4abcde0fe86aac">m_TimeVONIn</a>;          </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a9c278e1aea1a75e0f7886ac0c7e20fa4">   13</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a9c278e1aea1a75e0f7886ac0c7e20fa4">m_TimeVONOut</a>;         </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a694934a869ef406dd09dc51858cfada6">   14</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a694934a869ef406dd09dc51858cfada6">m_CntLootAny</a>;           </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#aed8007b8ae923fb630623296eac1e683">   15</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#aed8007b8ae923fb630623296eac1e683">m_CntLootFood</a>;          </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a6fde5282da75aa7b633d820f90301612">   16</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a6fde5282da75aa7b633d820f90301612">m_CntLootCloth</a>;         </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#ac587857d9643f4c563aa99ced93abe9e">   17</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#ac587857d9643f4c563aa99ced93abe9e">m_CntLootFirearm</a>;       </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a8ba9283434c0ac9176a46c10e22eb888">   18</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a8ba9283434c0ac9176a46c10e22eb888">m_CntLootAmmo</a>;          </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a492c6f6544690f90da98d3c8ea9e6d2a">   19</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a492c6f6544690f90da98d3c8ea9e6d2a">m_CntKillInfected</a>;      </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a23ced90372a5fa47c98859fde9c0e956">   20</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a23ced90372a5fa47c98859fde9c0e956">m_CntConsumedFood</a>;      </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a935f253cca5dc8e7b2082d86cbe63443">   21</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a935f253cca5dc8e7b2082d86cbe63443">m_CntConsumedWater</a>;     </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#ac2f29ba5389be0cb67ca4b36d3e4c12f">   22</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#ac2f29ba5389be0cb67ca4b36d3e4c12f">m_HealthRestored</a>;       </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a173ab0db134d1a728e7af851ea1aee5f">   23</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a173ab0db134d1a728e7af851ea1aee5f">m_CntFiredAmmo</a>;         </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a8715ad546df6e3a48371447a5a779303">   24</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a8715ad546df6e3a48371447a5a779303">m_CntCraftedItem</a>;       </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d8/daa/_script_analytics_8c.html#a0c9bbd17cbc3daabee07af5c38331c2b">   25</a></span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">// listStatus               // state metric of health, hunger, thirst, etc... when event is created/send</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#afe14275ac575b3e9d2d62fd8c759c16b">   27</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#afe14275ac575b3e9d2d62fd8c759c16b">m_HealthStatus</a>;         </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a572b532ba4f2e59a49aeeb5851dcd5f2">   28</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a572b532ba4f2e59a49aeeb5851dcd5f2">m_BloodStatus</a>;          </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#ac344690012b1fe7a24b8906cf684dc54">   29</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#ac344690012b1fe7a24b8906cf684dc54">m_SicknessStatus</a>;       </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a0346bd40e498f62deb413ddba6948e0b">   30</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a0346bd40e498f62deb413ddba6948e0b">m_TemperatureStatus</a>;    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#a17ef7ed476331c78c2adb021f4219c5c">   31</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a17ef7ed476331c78c2adb021f4219c5c">m_FoodStatus</a>;           </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../db/dff/class_stats_event_measures_data.html#adffd06844241a8f98218ebed4c963e0a">   32</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#adffd06844241a8f98218ebed4c963e0a">m_HydrationStatus</a>;      </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>};</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d8/daa/_script_analytics_8c.html#a3645c4d82a2e3d6542a24e6d2ff6ad1a">   35</a></span><span class="comment">// class binded to engine</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d8/daa/_script_analytics_8c.html#a451eea71a6903e5cb32ab5cb83a6e12f">   36</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d37/class_stats_event_death_data.html">StatsEventDeathData</a></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d8/daa/_script_analytics_8c.html#a482c66021de744da22636a28c1e97388">   37</a></span>{</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d2/d37/class_stats_event_death_data.html#adff306e069068b0dba063ffadd2c16e9">   38</a></span>    <span class="keywordtype">string</span>      <a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#adff306e069068b0dba063ffadd2c16e9">m_CharacterId</a>;          </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d2/d37/class_stats_event_death_data.html#ad3e81bf45b713c142ac0839baac3f6e6">   39</a></span>    <span class="keywordtype">int</span>         <a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#ad3e81bf45b713c142ac0839baac3f6e6">m_CharacterLifetime</a>;    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d2/d37/class_stats_event_death_data.html#a0bb7bbd49123f104de98ef78186b8ccc">   40</a></span>    <span class="keywordtype">string</span>      <a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#a0bb7bbd49123f104de98ef78186b8ccc">m_Cause</a>;                </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d2/d37/class_stats_event_death_data.html#a2ccd2c4f6a0aa0c64a1e1976f088b8f9">   41</a></span>    <span class="keywordtype">string</span>      <a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#a2ccd2c4f6a0aa0c64a1e1976f088b8f9">m_WeaponName</a>;           </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d2/d37/class_stats_event_death_data.html#a757a89c4ea27151afccf53a480858e74">   42</a></span>    <span class="keywordtype">float</span>       <a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#a757a89c4ea27151afccf53a480858e74">m_Distance</a>;             </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d2/d37/class_stats_event_death_data.html#a047e586bb5d881484202fa74eef449e9">   43</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>      <a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#a047e586bb5d881484202fa74eef449e9">m_Position</a>;             </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d2/d37/class_stats_event_death_data.html#aa439b604317f7c52cbf493b00efa45d5">   45</a></span>    <span class="keywordtype">int</span>         <a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#aa439b604317f7c52cbf493b00efa45d5">m_ListDamages</a>[5];       </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>};</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="comment">// class binded to engine</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../df/db0/class_stats_event_scored_kill_data.html">   49</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/db0/class_stats_event_scored_kill_data.html">StatsEventScoredKillData</a></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>{</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../df/db0/class_stats_event_scored_kill_data.html#a3f6dfae4f8d241ecdcda36671944a7e0">   51</a></span>    <span class="keywordtype">string</span>      <a class="code hl_variable" href="../../df/db0/class_stats_event_scored_kill_data.html#a3f6dfae4f8d241ecdcda36671944a7e0">m_CharacterId</a>;      </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../df/db0/class_stats_event_scored_kill_data.html#aea4610607d86a7e80bcfb991367f7a41">   52</a></span>    <span class="keywordtype">string</span>      <a class="code hl_variable" href="../../df/db0/class_stats_event_scored_kill_data.html#aea4610607d86a7e80bcfb991367f7a41">m_WeaponName</a>;       </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../df/db0/class_stats_event_scored_kill_data.html#a44b07b761d7313189a1ef70b6f5390e9">   53</a></span>    <span class="keywordtype">int</span>         <a class="code hl_variable" href="../../df/db0/class_stats_event_scored_kill_data.html#a44b07b761d7313189a1ef70b6f5390e9">m_KillDistance</a>;     </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../df/db0/class_stats_event_scored_kill_data.html#a1d15eb5a9e72af78c24aeeeae83224cb">   54</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>      <a class="code hl_variable" href="../../df/db0/class_stats_event_scored_kill_data.html#a1d15eb5a9e72af78c24aeeeae83224cb">m_PositionKiller</a>;   </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../df/db0/class_stats_event_scored_kill_data.html#ae9b5aee8f044f620080ffdea154a9436">   55</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>      <a class="code hl_variable" href="../../df/db0/class_stats_event_scored_kill_data.html#ae9b5aee8f044f620080ffdea154a9436">m_PositionVictim</a>;   </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>};</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">// class binded to engine</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../da/d0e/class_stats_event_disconnected_data.html">   59</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d0e/class_stats_event_disconnected_data.html">StatsEventDisconnectedData</a></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>{</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../da/d0e/class_stats_event_disconnected_data.html#ace30bd112225ba6cb1ded40f34cbd76b">   61</a></span>    <span class="keywordtype">string</span>      <a class="code hl_variable" href="../../da/d0e/class_stats_event_disconnected_data.html#ace30bd112225ba6cb1ded40f34cbd76b">m_CharacterId</a>;  </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../da/d0e/class_stats_event_disconnected_data.html#aede9ab81331fedf8b3b9c2eebd94eb6d">   62</a></span>    <span class="keywordtype">string</span>      <a class="code hl_variable" href="../../da/d0e/class_stats_event_disconnected_data.html#aede9ab81331fedf8b3b9c2eebd94eb6d">m_Reason</a>;       </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>};</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="comment">// class binded to engine</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d3/d97/class_stats_event_spawned_data.html">   66</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d97/class_stats_event_spawned_data.html">StatsEventSpawnedData</a></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>{</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d3/d97/class_stats_event_spawned_data.html#acd6a04c3f5056931ccd89339b0418850">   68</a></span>    <span class="keywordtype">string</span>      <a class="code hl_variable" href="../../d3/d97/class_stats_event_spawned_data.html#acd6a04c3f5056931ccd89339b0418850">m_CharacterId</a>;  </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d3/d97/class_stats_event_spawned_data.html#a19e343dedd317331ac3175e84dea4498">   69</a></span>    <span class="keywordtype">int</span>         <a class="code hl_variable" href="../../d3/d97/class_stats_event_spawned_data.html#a19e343dedd317331ac3175e84dea4498">m_Lifetime</a>;     </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d3/d97/class_stats_event_spawned_data.html#aa4d9b30ea53931b243059a0d8a33fd77">   70</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>      <a class="code hl_variable" href="../../d3/d97/class_stats_event_spawned_data.html#aa4d9b30ea53931b243059a0d8a33fd77">m_Position</a>;     </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d3/d97/class_stats_event_spawned_data.html#a40f581a5183433f1a5559f7ad1bfca31">   71</a></span>    <span class="keywordtype">int</span>         <a class="code hl_variable" href="../../d3/d97/class_stats_event_spawned_data.html#a40f581a5183433f1a5559f7ad1bfca31">m_Population</a>;   </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d3/d97/class_stats_event_spawned_data.html#a3ee6f6078ec83b2dac656b2a8c658932">   72</a></span>    <span class="keywordtype">int</span>         <a class="code hl_variable" href="../../d3/d97/class_stats_event_spawned_data.html#a3ee6f6078ec83b2dac656b2a8c658932">m_DaytimeHour</a>;  </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>};</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="comment">// class binded to engine</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html">   76</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/dee/class_stats_event_data.html">StatsEventData</a></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>{</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#a65589e34ea0363481c8d278845bca867">   78</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dee/class_stats_event_data.html#a65589e34ea0363481c8d278845bca867">StatsEventData</a>(<span class="keywordtype">string</span> eventName)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a918e54e2827928525f18ec7f7177f957">m_eventName</a> = eventName;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#aac0fee011814a71dc1547fc5b2794146">m_valuesBool</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, int&gt;</a>();</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a919b18196044bba2a3c3b0dd86a88d41">m_valuesInt</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, int&gt;</a>();</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a20148d1ef3ff59cafaa43d901d94ebb4">m_valuesFloat</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, float&gt;</a>();</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a9727d9b6ec810951bdc9e9538727df91">m_valuesString</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, string&gt;</a>();</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a1ae846fe8ad8f6510b80accfd43f3dae">m_valuesVector</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, vector&gt;</a>();</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#a4e322131c1919e28ba1cba2b9e1550e1">   88</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dee/class_stats_event_data.html#a4e322131c1919e28ba1cba2b9e1550e1">AddBool</a>(<span class="keywordtype">string</span> key, <span class="keywordtype">bool</span> value)</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#aac0fee011814a71dc1547fc5b2794146">m_valuesBool</a>.Insert(key, (<span class="keywordtype">int</span>)value);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#a73cbd265fe5c1f7ab0e9f0a9a4f32c64">   93</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dee/class_stats_event_data.html#a73cbd265fe5c1f7ab0e9f0a9a4f32c64">AddInt</a>(<span class="keywordtype">string</span> key, <span class="keywordtype">int</span> value)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a919b18196044bba2a3c3b0dd86a88d41">m_valuesInt</a>.Insert(key, value);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#a8776a5038830e8c60722423e93cdeabe">   98</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dee/class_stats_event_data.html#a8776a5038830e8c60722423e93cdeabe">AddFloat</a>(<span class="keywordtype">string</span> key, <span class="keywordtype">float</span> value)</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a20148d1ef3ff59cafaa43d901d94ebb4">m_valuesFloat</a>.Insert(key, value);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#afa16f14701f75cea570abf5e61ed37ae">  103</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dee/class_stats_event_data.html#afa16f14701f75cea570abf5e61ed37ae">AddString</a>(<span class="keywordtype">string</span> key, <span class="keywordtype">string</span> value)</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a9727d9b6ec810951bdc9e9538727df91">m_valuesString</a>.Insert(key, value);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#ad654b956856f368b0cf9a0db81cdb807">  108</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dee/class_stats_event_data.html#ad654b956856f368b0cf9a0db81cdb807">AddVector</a>(<span class="keywordtype">string</span> key, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> value)</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a1ae846fe8ad8f6510b80accfd43f3dae">m_valuesVector</a>.Insert(key, value);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#a918e54e2827928525f18ec7f7177f957">  113</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a918e54e2827928525f18ec7f7177f957">m_eventName</a>;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#aac0fee011814a71dc1547fc5b2794146">  114</a></span>    <span class="keyword">private</span> autoptr <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, int&gt;</a> <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#aac0fee011814a71dc1547fc5b2794146">m_valuesBool</a>;<span class="comment">//TODO: use bool instead of int (problem with engine type binding)</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#a919b18196044bba2a3c3b0dd86a88d41">  115</a></span>    <span class="keyword">private</span> autoptr <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, int&gt;</a> <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a919b18196044bba2a3c3b0dd86a88d41">m_valuesInt</a>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#a20148d1ef3ff59cafaa43d901d94ebb4">  116</a></span>    <span class="keyword">private</span> autoptr <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, float&gt;</a> <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a20148d1ef3ff59cafaa43d901d94ebb4">m_valuesFloat</a>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#a9727d9b6ec810951bdc9e9538727df91">  117</a></span>    <span class="keyword">private</span> autoptr <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, string&gt;</a> <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a9727d9b6ec810951bdc9e9538727df91">m_valuesString</a>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d1/dee/class_stats_event_data.html#a1ae846fe8ad8f6510b80accfd43f3dae">  118</a></span>    <span class="keyword">private</span> autoptr <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string, vector&gt;</a> <a class="code hl_variable" href="../../d1/dee/class_stats_event_data.html#a1ae846fe8ad8f6510b80accfd43f3dae">m_valuesVector</a>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>}</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="keyword">class </span>ScriptAnalytics</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>{</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    <span class="keyword">static</span> proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/daa/_script_analytics_8c.html#a896898296c3357937f9f56a6fd6ac737">SendPlayerDeath</a>(<a class="code hl_class" href="../../d2/d37/class_stats_event_death_data.html">StatsEventDeathData</a> data);</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d8/daa/_script_analytics_8c.html#a391ac11bb28dc78380c745a38045b2a0">  128</a></span>    <span class="keyword">static</span> proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/daa/_script_analytics_8c.html#a391ac11bb28dc78380c745a38045b2a0">SendPlayerScoredKill</a>(<a class="code hl_class" href="../../df/db0/class_stats_event_scored_kill_data.html">StatsEventScoredKillData</a> data);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d8/daa/_script_analytics_8c.html#a92e35584fa7232f5acc2514c9fd3d0f7">  131</a></span>    <span class="keyword">static</span> proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/daa/_script_analytics_8c.html#a92e35584fa7232f5acc2514c9fd3d0f7">SendPlayerDisconnected</a>(<a class="code hl_class" href="../../da/d0e/class_stats_event_disconnected_data.html">StatsEventDisconnectedData</a> data);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../d8/daa/_script_analytics_8c.html#a85980ecc8a19f6a05284838b06d4e4e5">  134</a></span>    <span class="keyword">static</span> proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/daa/_script_analytics_8c.html#a85980ecc8a19f6a05284838b06d4e4e5">SendPlayerMeasures</a>(<a class="code hl_class" href="../../db/dff/class_stats_event_measures_data.html">StatsEventMeasuresData</a> data);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../d8/daa/_script_analytics_8c.html#ab918e08e3a15d7f5d91b3d17eb3acc9b">  137</a></span>    <span class="keyword">static</span> proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/daa/_script_analytics_8c.html#ab918e08e3a15d7f5d91b3d17eb3acc9b">SendPlayerSpawned</a>(<a class="code hl_class" href="../../d3/d97/class_stats_event_spawned_data.html">StatsEventSpawnedData</a> data);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d8/daa/_script_analytics_8c.html#a0079844eacc0d4903d462dea2f7bb997">  140</a></span>    <span class="keyword">static</span> proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/daa/_script_analytics_8c.html#a0079844eacc0d4903d462dea2f7bb997">SendEvent</a>(<a class="code hl_class" href="../../d1/dee/class_stats_event_data.html">StatsEventData</a> data);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>};</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d4/dd4/class_analytics.html">  145</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/dd4/class_analytics.html">Analytics</a></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>{</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    <span class="comment">// send stats data with log</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../d4/dd4/class_analytics.html#a46a89e0d416c03e9a228a265b19b8813">  148</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/dd4/class_analytics.html#a46a89e0d416c03e9a228a265b19b8813">PlayerDeath</a>(<a class="code hl_class" href="../../d2/d37/class_stats_event_death_data.html">StatsEventDeathData</a> data)</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">if</span> (<span class="keyword">false</span>)</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;StatsEventDeathData | CharacterId: &#39;&quot;</span> + data.<a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#adff306e069068b0dba063ffadd2c16e9">m_CharacterId</a> + <span class="stringliteral">&quot;&#39;; CharacterLifetime: &quot;</span> + data.<a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#ad3e81bf45b713c142ac0839baac3f6e6">m_CharacterLifetime</a> + <span class="stringliteral">&quot;; Cause: &#39;&quot;</span> + data.<a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#a0bb7bbd49123f104de98ef78186b8ccc">m_Cause</a> + <span class="stringliteral">&quot;&#39;; WeaponName: &#39;&quot;</span> + data.<a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#a2ccd2c4f6a0aa0c64a1e1976f088b8f9">m_WeaponName</a> + <span class="stringliteral">&quot;&#39;; Distance: &quot;</span> + data.<a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#a757a89c4ea27151afccf53a480858e74">m_Distance</a> + <span class="stringliteral">&quot;; position: &quot;</span> + data.<a class="code hl_variable" href="../../d2/d37/class_stats_event_death_data.html#a047e586bb5d881484202fa74eef449e9">m_Position</a>);</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        ScriptAnalytics.SendPlayerDeath(data);</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    }</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    <span class="comment">// send stats data with log</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno"><a class="line" href="../../d4/dd4/class_analytics.html#aebe8174a433f4aeadc7048c48a441366">  159</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/dd4/class_analytics.html#aebe8174a433f4aeadc7048c48a441366">PlayerScoredKill</a>(<a class="code hl_class" href="../../df/db0/class_stats_event_scored_kill_data.html">StatsEventScoredKillData</a> data)</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="keywordflow">if</span> (<span class="keyword">false</span>)</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        {</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;StatsEventScoredKillData | CharacterId: &#39;&quot;</span> + data.<a class="code hl_variable" href="../../df/db0/class_stats_event_scored_kill_data.html#a3f6dfae4f8d241ecdcda36671944a7e0">m_CharacterId</a> + <span class="stringliteral">&quot;&#39;; WeaponName: &#39;&quot;</span> + data.<a class="code hl_variable" href="../../df/db0/class_stats_event_scored_kill_data.html#aea4610607d86a7e80bcfb991367f7a41">m_WeaponName</a> + <span class="stringliteral">&quot;&#39;; KillDistance: &quot;</span> + data.<a class="code hl_variable" href="../../df/db0/class_stats_event_scored_kill_data.html#a44b07b761d7313189a1ef70b6f5390e9">m_KillDistance</a> + <span class="stringliteral">&quot;; PositionKiller: &quot;</span> + data.<a class="code hl_variable" href="../../df/db0/class_stats_event_scored_kill_data.html#a1d15eb5a9e72af78c24aeeeae83224cb">m_PositionKiller</a> + <span class="stringliteral">&quot;; PositionVictim: &quot;</span> + data.<a class="code hl_variable" href="../../df/db0/class_stats_event_scored_kill_data.html#ae9b5aee8f044f620080ffdea154a9436">m_PositionVictim</a>);</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        ScriptAnalytics.SendPlayerScoredKill(data);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    <span class="comment">// send stats data with log</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="../../d4/dd4/class_analytics.html#a00201c21cd8a8f8ec8618ba31e6b912c">  170</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/dd4/class_analytics.html#a00201c21cd8a8f8ec8618ba31e6b912c">PlayerDisconnected</a>(<a class="code hl_class" href="../../da/d0e/class_stats_event_disconnected_data.html">StatsEventDisconnectedData</a> data)</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordflow">if</span> (<span class="keyword">false</span>)</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        {</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;StatsEventDisconnectedData | CharacterId: &quot;</span> + data.<a class="code hl_variable" href="../../da/d0e/class_stats_event_disconnected_data.html#ace30bd112225ba6cb1ded40f34cbd76b">m_CharacterId</a> + <span class="stringliteral">&quot;; Reason: &quot;</span> + data.<a class="code hl_variable" href="../../da/d0e/class_stats_event_disconnected_data.html#aede9ab81331fedf8b3b9c2eebd94eb6d">m_Reason</a>);</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        }</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        ScriptAnalytics.SendPlayerDisconnected(data);</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    <span class="comment">// send stats data with log</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../d4/dd4/class_analytics.html#a2525f73504a1918426042949c1576f6d">  181</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/dd4/class_analytics.html#a2525f73504a1918426042949c1576f6d">PlayerMeasures</a>(<a class="code hl_class" href="../../db/dff/class_stats_event_measures_data.html">StatsEventMeasuresData</a> data)</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <span class="keywordflow">if</span> (<span class="keyword">false</span>)</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;StatsEventMeasuresData 1 | CharacterId: &#39;&quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#aded2c1b30599ffc6d7f8a57075412ccc">m_CharacterId</a> + <span class="stringliteral">&quot;&#39;; TimeInterval: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a7e2047ba2fe139dddd25fa71e545f68a">m_TimeInterval</a> + <span class="stringliteral">&quot;; DaytimeHour: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#abc4511002dcf287d553576c34e4e4735">m_DaytimeHour</a> + <span class="stringliteral">&quot;; PositionStart: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a4d4d4aadbce8860f49790023b8f5b74a">m_PositionStart</a> + <span class="stringliteral">&quot;; PositionEnd: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#ad6c43de4d2c1ce61599ee31b42cef343">m_PositionEnd</a> + <span class="stringliteral">&quot;; DistanceOnFoot: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#af5780437c7637ed6537afed67122b696">m_DistanceOnFoot</a>);</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;StatsEventMeasuresData 2 | DistanceVehicle: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a66b7a3c90ab6b38f9d916551bc74e517">m_DistanceVehicle</a> + <span class="stringliteral">&quot;; TimeVONIn: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a992eef32795fd9f02e4abcde0fe86aac">m_TimeVONIn</a> + <span class="stringliteral">&quot;; TimeVONOut: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a9c278e1aea1a75e0f7886ac0c7e20fa4">m_TimeVONOut</a> + <span class="stringliteral">&quot;; CntLootAny: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a694934a869ef406dd09dc51858cfada6">m_CntLootAny</a> + <span class="stringliteral">&quot;; CntLootFood: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#aed8007b8ae923fb630623296eac1e683">m_CntLootFood</a> + <span class="stringliteral">&quot;; CntLootCloth: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a6fde5282da75aa7b633d820f90301612">m_CntLootCloth</a> +  <span class="stringliteral">&quot;; CntLootFirearm: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#ac587857d9643f4c563aa99ced93abe9e">m_CntLootFirearm</a> + <span class="stringliteral">&quot;; CntLootAmmo: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a8ba9283434c0ac9176a46c10e22eb888">m_CntLootAmmo</a> + <span class="stringliteral">&quot;; CntKillInfected: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a492c6f6544690f90da98d3c8ea9e6d2a">m_CntKillInfected</a> + <span class="stringliteral">&quot;; CntConsumedFood: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a23ced90372a5fa47c98859fde9c0e956">m_CntConsumedFood</a> + <span class="stringliteral">&quot;; CntConsumedWater: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a935f253cca5dc8e7b2082d86cbe63443">m_CntConsumedWater</a> + <span class="stringliteral">&quot;; HealthRestored: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#ac2f29ba5389be0cb67ca4b36d3e4c12f">m_HealthRestored</a> + <span class="stringliteral">&quot;; CntFiredAmmo : &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a173ab0db134d1a728e7af851ea1aee5f">m_CntFiredAmmo</a> + <span class="stringliteral">&quot;; CntCraftedItem: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a8715ad546df6e3a48371447a5a779303">m_CntCraftedItem</a>);</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;StatsEventMeasuresData 3 | HealthStatus: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#afe14275ac575b3e9d2d62fd8c759c16b">m_HealthStatus</a> + <span class="stringliteral">&quot;; BloodStatus: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a572b532ba4f2e59a49aeeb5851dcd5f2">m_BloodStatus</a> + <span class="stringliteral">&quot;; SicknessStatus: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#ac344690012b1fe7a24b8906cf684dc54">m_SicknessStatus</a> + <span class="stringliteral">&quot;TemperatureStatus: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a0346bd40e498f62deb413ddba6948e0b">m_TemperatureStatus</a> + <span class="stringliteral">&quot;; FoodStatus: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#a17ef7ed476331c78c2adb021f4219c5c">m_FoodStatus</a> + <span class="stringliteral">&quot;; HydrationStatus: &quot;</span> + data.<a class="code hl_variable" href="../../db/dff/class_stats_event_measures_data.html#adffd06844241a8f98218ebed4c963e0a">m_HydrationStatus</a>);</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        }</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        ScriptAnalytics.SendPlayerMeasures(data);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>    }</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    <span class="comment">// send stats data with log</span></div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno"><a class="line" href="../../d4/dd4/class_analytics.html#a3b1bfe830af7408d8695e1ba110cfcf7">  194</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/dd4/class_analytics.html#a3b1bfe830af7408d8695e1ba110cfcf7">PlayerSpawned</a>(<a class="code hl_class" href="../../d3/d97/class_stats_event_spawned_data.html">StatsEventSpawnedData</a> data)</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <span class="keywordflow">if</span> (<span class="keyword">false</span>)</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;StatsEventSpawnedData | CharacterId: &#39;&quot;</span> + data.<a class="code hl_variable" href="../../d3/d97/class_stats_event_spawned_data.html#acd6a04c3f5056931ccd89339b0418850">m_CharacterId</a> + <span class="stringliteral">&quot;&#39;; Lifetime: &quot;</span> + data.<a class="code hl_variable" href="../../d3/d97/class_stats_event_spawned_data.html#a19e343dedd317331ac3175e84dea4498">m_Lifetime</a> + <span class="stringliteral">&quot;; Position: &quot;</span> + data.<a class="code hl_variable" href="../../d3/d97/class_stats_event_spawned_data.html#aa4d9b30ea53931b243059a0d8a33fd77">m_Position</a> + <span class="stringliteral">&quot;; Population: &quot;</span> + data.<a class="code hl_variable" href="../../d3/d97/class_stats_event_spawned_data.html#a40f581a5183433f1a5559f7ad1bfca31">m_Population</a> + <span class="stringliteral">&quot;; DaytimeHour: &quot;</span> + data.<a class="code hl_variable" href="../../d3/d97/class_stats_event_spawned_data.html#a3ee6f6078ec83b2dac656b2a8c658932">m_DaytimeHour</a>);</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        ScriptAnalytics.SendPlayerSpawned(data);</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    }</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>}</div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_script_analytics_8c_html_a0079844eacc0d4903d462dea2f7bb997"><div class="ttname"><a href="../../d8/daa/_script_analytics_8c.html#a0079844eacc0d4903d462dea2f7bb997">SendEvent</a></div><div class="ttdeci">static proto native void SendEvent(StatsEventData data)</div><div class="ttdoc">universal analytics event</div></div>
<div class="ttc" id="a_script_analytics_8c_html_a391ac11bb28dc78380c745a38045b2a0"><div class="ttname"><a href="../../d8/daa/_script_analytics_8c.html#a391ac11bb28dc78380c745a38045b2a0">SendPlayerScoredKill</a></div><div class="ttdeci">static proto native void SendPlayerScoredKill(StatsEventScoredKillData data)</div><div class="ttdoc">send event about kill to statistic DB</div></div>
<div class="ttc" id="a_script_analytics_8c_html_a85980ecc8a19f6a05284838b06d4e4e5"><div class="ttname"><a href="../../d8/daa/_script_analytics_8c.html#a85980ecc8a19f6a05284838b06d4e4e5">SendPlayerMeasures</a></div><div class="ttdeci">static proto native void SendPlayerMeasures(StatsEventMeasuresData data)</div><div class="ttdoc">send event about player status to statistic DB</div></div>
<div class="ttc" id="a_script_analytics_8c_html_a896898296c3357937f9f56a6fd6ac737"><div class="ttname"><a href="../../d8/daa/_script_analytics_8c.html#a896898296c3357937f9f56a6fd6ac737">SendPlayerDeath</a></div><div class="ttdeci">class StatsEventData SendPlayerDeath(StatsEventDeathData data)</div><div class="ttdoc">send event about death to statistic DB</div></div>
<div class="ttc" id="a_script_analytics_8c_html_a92e35584fa7232f5acc2514c9fd3d0f7"><div class="ttname"><a href="../../d8/daa/_script_analytics_8c.html#a92e35584fa7232f5acc2514c9fd3d0f7">SendPlayerDisconnected</a></div><div class="ttdeci">static proto native void SendPlayerDisconnected(StatsEventDisconnectedData data)</div><div class="ttdoc">send event to statistic DB</div></div>
<div class="ttc" id="a_script_analytics_8c_html_ab918e08e3a15d7f5d91b3d17eb3acc9b"><div class="ttname"><a href="../../d8/daa/_script_analytics_8c.html#ab918e08e3a15d7f5d91b3d17eb3acc9b">SendPlayerSpawned</a></div><div class="ttdeci">static proto native void SendPlayerSpawned(StatsEventSpawnedData data)</div><div class="ttdoc">send event about spawning to statistic DB</div></div>
<div class="ttc" id="aclass_analytics_html"><div class="ttname"><a href="../../d4/dd4/class_analytics.html">Analytics</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00145">ScriptAnalytics.c:146</a></div></div>
<div class="ttc" id="aclass_analytics_html_a00201c21cd8a8f8ec8618ba31e6b912c"><div class="ttname"><a href="../../d4/dd4/class_analytics.html#a00201c21cd8a8f8ec8618ba31e6b912c">Analytics::PlayerDisconnected</a></div><div class="ttdeci">static void PlayerDisconnected(StatsEventDisconnectedData data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00170">ScriptAnalytics.c:170</a></div></div>
<div class="ttc" id="aclass_analytics_html_a2525f73504a1918426042949c1576f6d"><div class="ttname"><a href="../../d4/dd4/class_analytics.html#a2525f73504a1918426042949c1576f6d">Analytics::PlayerMeasures</a></div><div class="ttdeci">static void PlayerMeasures(StatsEventMeasuresData data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00181">ScriptAnalytics.c:181</a></div></div>
<div class="ttc" id="aclass_analytics_html_a3b1bfe830af7408d8695e1ba110cfcf7"><div class="ttname"><a href="../../d4/dd4/class_analytics.html#a3b1bfe830af7408d8695e1ba110cfcf7">Analytics::PlayerSpawned</a></div><div class="ttdeci">static void PlayerSpawned(StatsEventSpawnedData data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00194">ScriptAnalytics.c:194</a></div></div>
<div class="ttc" id="aclass_analytics_html_a46a89e0d416c03e9a228a265b19b8813"><div class="ttname"><a href="../../d4/dd4/class_analytics.html#a46a89e0d416c03e9a228a265b19b8813">Analytics::PlayerDeath</a></div><div class="ttdeci">static void PlayerDeath(StatsEventDeathData data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00148">ScriptAnalytics.c:148</a></div></div>
<div class="ttc" id="aclass_analytics_html_aebe8174a433f4aeadc7048c48a441366"><div class="ttname"><a href="../../d4/dd4/class_analytics.html#aebe8174a433f4aeadc7048c48a441366">Analytics::PlayerScoredKill</a></div><div class="ttdeci">static void PlayerScoredKill(StatsEventScoredKillData data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00159">ScriptAnalytics.c:159</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html">StatsEventData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00076">ScriptAnalytics.c:77</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_a1ae846fe8ad8f6510b80accfd43f3dae"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#a1ae846fe8ad8f6510b80accfd43f3dae">StatsEventData::m_valuesVector</a></div><div class="ttdeci">private autoptr map&lt; string, vector &gt; m_valuesVector</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00118">ScriptAnalytics.c:118</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_a20148d1ef3ff59cafaa43d901d94ebb4"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#a20148d1ef3ff59cafaa43d901d94ebb4">StatsEventData::m_valuesFloat</a></div><div class="ttdeci">private autoptr map&lt; string, float &gt; m_valuesFloat</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00116">ScriptAnalytics.c:116</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_a4e322131c1919e28ba1cba2b9e1550e1"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#a4e322131c1919e28ba1cba2b9e1550e1">StatsEventData::AddBool</a></div><div class="ttdeci">void AddBool(string key, bool value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00088">ScriptAnalytics.c:88</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_a65589e34ea0363481c8d278845bca867"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#a65589e34ea0363481c8d278845bca867">StatsEventData::StatsEventData</a></div><div class="ttdeci">void StatsEventData(string eventName)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00078">ScriptAnalytics.c:78</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_a73cbd265fe5c1f7ab0e9f0a9a4f32c64"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#a73cbd265fe5c1f7ab0e9f0a9a4f32c64">StatsEventData::AddInt</a></div><div class="ttdeci">void AddInt(string key, int value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00093">ScriptAnalytics.c:93</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_a8776a5038830e8c60722423e93cdeabe"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#a8776a5038830e8c60722423e93cdeabe">StatsEventData::AddFloat</a></div><div class="ttdeci">void AddFloat(string key, float value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00098">ScriptAnalytics.c:98</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_a918e54e2827928525f18ec7f7177f957"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#a918e54e2827928525f18ec7f7177f957">StatsEventData::m_eventName</a></div><div class="ttdeci">private string m_eventName</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00113">ScriptAnalytics.c:113</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_a919b18196044bba2a3c3b0dd86a88d41"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#a919b18196044bba2a3c3b0dd86a88d41">StatsEventData::m_valuesInt</a></div><div class="ttdeci">private autoptr map&lt; string, int &gt; m_valuesInt</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00115">ScriptAnalytics.c:115</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_a9727d9b6ec810951bdc9e9538727df91"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#a9727d9b6ec810951bdc9e9538727df91">StatsEventData::m_valuesString</a></div><div class="ttdeci">private autoptr map&lt; string, string &gt; m_valuesString</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00117">ScriptAnalytics.c:117</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_aac0fee011814a71dc1547fc5b2794146"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#aac0fee011814a71dc1547fc5b2794146">StatsEventData::m_valuesBool</a></div><div class="ttdeci">private autoptr map&lt; string, int &gt; m_valuesBool</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00114">ScriptAnalytics.c:114</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_ad654b956856f368b0cf9a0db81cdb807"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#ad654b956856f368b0cf9a0db81cdb807">StatsEventData::AddVector</a></div><div class="ttdeci">void AddVector(string key, vector value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00108">ScriptAnalytics.c:108</a></div></div>
<div class="ttc" id="aclass_stats_event_data_html_afa16f14701f75cea570abf5e61ed37ae"><div class="ttname"><a href="../../d1/dee/class_stats_event_data.html#afa16f14701f75cea570abf5e61ed37ae">StatsEventData::AddString</a></div><div class="ttdeci">void AddString(string key, string value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00103">ScriptAnalytics.c:103</a></div></div>
<div class="ttc" id="aclass_stats_event_death_data_html"><div class="ttname"><a href="../../d2/d37/class_stats_event_death_data.html">StatsEventDeathData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00036">ScriptAnalytics.c:37</a></div></div>
<div class="ttc" id="aclass_stats_event_death_data_html_a047e586bb5d881484202fa74eef449e9"><div class="ttname"><a href="../../d2/d37/class_stats_event_death_data.html#a047e586bb5d881484202fa74eef449e9">StatsEventDeathData::m_Position</a></div><div class="ttdeci">vector m_Position</div><div class="ttdoc">position of player when died</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00043">ScriptAnalytics.c:43</a></div></div>
<div class="ttc" id="aclass_stats_event_death_data_html_a0bb7bbd49123f104de98ef78186b8ccc"><div class="ttname"><a href="../../d2/d37/class_stats_event_death_data.html#a0bb7bbd49123f104de98ef78186b8ccc">StatsEventDeathData::m_Cause</a></div><div class="ttdeci">string m_Cause</div><div class="ttdoc">cause of death (hunger, sickness, player-killed, zombie-killed...)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00040">ScriptAnalytics.c:40</a></div></div>
<div class="ttc" id="aclass_stats_event_death_data_html_a2ccd2c4f6a0aa0c64a1e1976f088b8f9"><div class="ttname"><a href="../../d2/d37/class_stats_event_death_data.html#a2ccd2c4f6a0aa0c64a1e1976f088b8f9">StatsEventDeathData::m_WeaponName</a></div><div class="ttdeci">string m_WeaponName</div><div class="ttdoc">name of weapon which caused death</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00041">ScriptAnalytics.c:41</a></div></div>
<div class="ttc" id="aclass_stats_event_death_data_html_a757a89c4ea27151afccf53a480858e74"><div class="ttname"><a href="../../d2/d37/class_stats_event_death_data.html#a757a89c4ea27151afccf53a480858e74">StatsEventDeathData::m_Distance</a></div><div class="ttdeci">float m_Distance</div><div class="ttdoc">distance in meters (rounded) from spawn position to death position</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00042">ScriptAnalytics.c:42</a></div></div>
<div class="ttc" id="aclass_stats_event_death_data_html_aa439b604317f7c52cbf493b00efa45d5"><div class="ttname"><a href="../../d2/d37/class_stats_event_death_data.html#aa439b604317f7c52cbf493b00efa45d5">StatsEventDeathData::m_ListDamages</a></div><div class="ttdeci">int m_ListDamages[5]</div><div class="ttdoc">list of damages (5 values) during last n sec. For example: {20, 80, 0, 0, 0}</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00045">ScriptAnalytics.c:45</a></div></div>
<div class="ttc" id="aclass_stats_event_death_data_html_ad3e81bf45b713c142ac0839baac3f6e6"><div class="ttname"><a href="../../d2/d37/class_stats_event_death_data.html#ad3e81bf45b713c142ac0839baac3f6e6">StatsEventDeathData::m_CharacterLifetime</a></div><div class="ttdeci">int m_CharacterLifetime</div><div class="ttdoc">lifetime of character in seconds</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00039">ScriptAnalytics.c:39</a></div></div>
<div class="ttc" id="aclass_stats_event_death_data_html_adff306e069068b0dba063ffadd2c16e9"><div class="ttname"><a href="../../d2/d37/class_stats_event_death_data.html#adff306e069068b0dba063ffadd2c16e9">StatsEventDeathData::m_CharacterId</a></div><div class="ttdeci">string m_CharacterId</div><div class="ttdoc">character ID</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00038">ScriptAnalytics.c:38</a></div></div>
<div class="ttc" id="aclass_stats_event_disconnected_data_html"><div class="ttname"><a href="../../da/d0e/class_stats_event_disconnected_data.html">StatsEventDisconnectedData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00059">ScriptAnalytics.c:60</a></div></div>
<div class="ttc" id="aclass_stats_event_disconnected_data_html_ace30bd112225ba6cb1ded40f34cbd76b"><div class="ttname"><a href="../../da/d0e/class_stats_event_disconnected_data.html#ace30bd112225ba6cb1ded40f34cbd76b">StatsEventDisconnectedData::m_CharacterId</a></div><div class="ttdeci">string m_CharacterId</div><div class="ttdoc">character ID</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00061">ScriptAnalytics.c:61</a></div></div>
<div class="ttc" id="aclass_stats_event_disconnected_data_html_aede9ab81331fedf8b3b9c2eebd94eb6d"><div class="ttname"><a href="../../da/d0e/class_stats_event_disconnected_data.html#aede9ab81331fedf8b3b9c2eebd94eb6d">StatsEventDisconnectedData::m_Reason</a></div><div class="ttdeci">string m_Reason</div><div class="ttdoc">reason of disconnect (quit, kick, ban, sign-out...)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00062">ScriptAnalytics.c:62</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html">StatsEventMeasuresData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00002">ScriptAnalytics.c:3</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a0346bd40e498f62deb413ddba6948e0b"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a0346bd40e498f62deb413ddba6948e0b">StatsEventMeasuresData::m_TemperatureStatus</a></div><div class="ttdeci">int m_TemperatureStatus</div><div class="ttdoc">state of temperature (current state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00030">ScriptAnalytics.c:30</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a173ab0db134d1a728e7af851ea1aee5f"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a173ab0db134d1a728e7af851ea1aee5f">StatsEventMeasuresData::m_CntFiredAmmo</a></div><div class="ttdeci">int m_CntFiredAmmo</div><div class="ttdoc">firearm rounds fired during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00023">ScriptAnalytics.c:23</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a17ef7ed476331c78c2adb021f4219c5c"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a17ef7ed476331c78c2adb021f4219c5c">StatsEventMeasuresData::m_FoodStatus</a></div><div class="ttdeci">int m_FoodStatus</div><div class="ttdoc">state of food (hunger) (current state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00031">ScriptAnalytics.c:31</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a23ced90372a5fa47c98859fde9c0e956"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a23ced90372a5fa47c98859fde9c0e956">StatsEventMeasuresData::m_CntConsumedFood</a></div><div class="ttdeci">int m_CntConsumedFood</div><div class="ttdoc">count of consumed food during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00020">ScriptAnalytics.c:20</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a492c6f6544690f90da98d3c8ea9e6d2a"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a492c6f6544690f90da98d3c8ea9e6d2a">StatsEventMeasuresData::m_CntKillInfected</a></div><div class="ttdeci">int m_CntKillInfected</div><div class="ttdoc">count of infected kills during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00019">ScriptAnalytics.c:19</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a4d4d4aadbce8860f49790023b8f5b74a"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a4d4d4aadbce8860f49790023b8f5b74a">StatsEventMeasuresData::m_PositionStart</a></div><div class="ttdeci">vector m_PositionStart</div><div class="ttdoc">player world position at the start of interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00007">ScriptAnalytics.c:7</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a572b532ba4f2e59a49aeeb5851dcd5f2"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a572b532ba4f2e59a49aeeb5851dcd5f2">StatsEventMeasuresData::m_BloodStatus</a></div><div class="ttdeci">int m_BloodStatus</div><div class="ttdoc">state of blood (current state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00028">ScriptAnalytics.c:28</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a66b7a3c90ab6b38f9d916551bc74e517"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a66b7a3c90ab6b38f9d916551bc74e517">StatsEventMeasuresData::m_DistanceVehicle</a></div><div class="ttdeci">float m_DistanceVehicle</div><div class="ttdoc">traveled distance (meters) in vehicle during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00011">ScriptAnalytics.c:11</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a694934a869ef406dd09dc51858cfada6"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a694934a869ef406dd09dc51858cfada6">StatsEventMeasuresData::m_CntLootAny</a></div><div class="ttdeci">int m_CntLootAny</div><div class="ttdoc">count of any loot collected during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00014">ScriptAnalytics.c:14</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a6fde5282da75aa7b633d820f90301612"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a6fde5282da75aa7b633d820f90301612">StatsEventMeasuresData::m_CntLootCloth</a></div><div class="ttdeci">int m_CntLootCloth</div><div class="ttdoc">count of cloth collected during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00016">ScriptAnalytics.c:16</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a7e2047ba2fe139dddd25fa71e545f68a"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a7e2047ba2fe139dddd25fa71e545f68a">StatsEventMeasuresData::m_TimeInterval</a></div><div class="ttdeci">int m_TimeInterval</div><div class="ttdoc">amount of real time in seconds covered by this event</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00005">ScriptAnalytics.c:5</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a8715ad546df6e3a48371447a5a779303"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a8715ad546df6e3a48371447a5a779303">StatsEventMeasuresData::m_CntCraftedItem</a></div><div class="ttdeci">int m_CntCraftedItem</div><div class="ttdoc">number of items crafted during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00024">ScriptAnalytics.c:24</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a8ba9283434c0ac9176a46c10e22eb888"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a8ba9283434c0ac9176a46c10e22eb888">StatsEventMeasuresData::m_CntLootAmmo</a></div><div class="ttdeci">int m_CntLootAmmo</div><div class="ttdoc">count of ammo collected during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00018">ScriptAnalytics.c:18</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a935f253cca5dc8e7b2082d86cbe63443"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a935f253cca5dc8e7b2082d86cbe63443">StatsEventMeasuresData::m_CntConsumedWater</a></div><div class="ttdeci">int m_CntConsumedWater</div><div class="ttdoc">count of consumed water during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00021">ScriptAnalytics.c:21</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a992eef32795fd9f02e4abcde0fe86aac"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a992eef32795fd9f02e4abcde0fe86aac">StatsEventMeasuresData::m_TimeVONIn</a></div><div class="ttdeci">float m_TimeVONIn</div><div class="ttdoc">amount of time in seconds with inbound VON during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00012">ScriptAnalytics.c:12</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_a9c278e1aea1a75e0f7886ac0c7e20fa4"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#a9c278e1aea1a75e0f7886ac0c7e20fa4">StatsEventMeasuresData::m_TimeVONOut</a></div><div class="ttdeci">float m_TimeVONOut</div><div class="ttdoc">amount of time in seconds with outbound VON during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00013">ScriptAnalytics.c:13</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_abc4511002dcf287d553576c34e4e4735"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#abc4511002dcf287d553576c34e4e4735">StatsEventMeasuresData::m_DaytimeHour</a></div><div class="ttdeci">int m_DaytimeHour</div><div class="ttdoc">current daytime in gameplay (hour in 24h format)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00006">ScriptAnalytics.c:6</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_ac2f29ba5389be0cb67ca4b36d3e4c12f"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#ac2f29ba5389be0cb67ca4b36d3e4c12f">StatsEventMeasuresData::m_HealthRestored</a></div><div class="ttdeci">int m_HealthRestored</div><div class="ttdoc">number of health point restored during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00022">ScriptAnalytics.c:22</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_ac344690012b1fe7a24b8906cf684dc54"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#ac344690012b1fe7a24b8906cf684dc54">StatsEventMeasuresData::m_SicknessStatus</a></div><div class="ttdeci">int m_SicknessStatus</div><div class="ttdoc">state of sickness (current state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00029">ScriptAnalytics.c:29</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_ac587857d9643f4c563aa99ced93abe9e"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#ac587857d9643f4c563aa99ced93abe9e">StatsEventMeasuresData::m_CntLootFirearm</a></div><div class="ttdeci">int m_CntLootFirearm</div><div class="ttdoc">count of firearms collected during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00017">ScriptAnalytics.c:17</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_ad6c43de4d2c1ce61599ee31b42cef343"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#ad6c43de4d2c1ce61599ee31b42cef343">StatsEventMeasuresData::m_PositionEnd</a></div><div class="ttdeci">vector m_PositionEnd</div><div class="ttdoc">player world position at the end of interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00008">ScriptAnalytics.c:8</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_aded2c1b30599ffc6d7f8a57075412ccc"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#aded2c1b30599ffc6d7f8a57075412ccc">StatsEventMeasuresData::m_CharacterId</a></div><div class="ttdeci">string m_CharacterId</div><div class="ttdoc">character ID</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00004">ScriptAnalytics.c:4</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_adffd06844241a8f98218ebed4c963e0a"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#adffd06844241a8f98218ebed4c963e0a">StatsEventMeasuresData::m_HydrationStatus</a></div><div class="ttdeci">int m_HydrationStatus</div><div class="ttdoc">state of hydration (thirst) (current state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00032">ScriptAnalytics.c:32</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_aed8007b8ae923fb630623296eac1e683"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#aed8007b8ae923fb630623296eac1e683">StatsEventMeasuresData::m_CntLootFood</a></div><div class="ttdeci">int m_CntLootFood</div><div class="ttdoc">count of any food or consumables collected during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00015">ScriptAnalytics.c:15</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_af5780437c7637ed6537afed67122b696"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#af5780437c7637ed6537afed67122b696">StatsEventMeasuresData::m_DistanceOnFoot</a></div><div class="ttdeci">float m_DistanceOnFoot</div><div class="ttdoc">traveled distance on foot (meters) during interval</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00009">ScriptAnalytics.c:9</a></div></div>
<div class="ttc" id="aclass_stats_event_measures_data_html_afe14275ac575b3e9d2d62fd8c759c16b"><div class="ttname"><a href="../../db/dff/class_stats_event_measures_data.html#afe14275ac575b3e9d2d62fd8c759c16b">StatsEventMeasuresData::m_HealthStatus</a></div><div class="ttdeci">int m_HealthStatus</div><div class="ttdoc">state of health (current state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00027">ScriptAnalytics.c:27</a></div></div>
<div class="ttc" id="aclass_stats_event_scored_kill_data_html"><div class="ttname"><a href="../../df/db0/class_stats_event_scored_kill_data.html">StatsEventScoredKillData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00049">ScriptAnalytics.c:50</a></div></div>
<div class="ttc" id="aclass_stats_event_scored_kill_data_html_a1d15eb5a9e72af78c24aeeeae83224cb"><div class="ttname"><a href="../../df/db0/class_stats_event_scored_kill_data.html#a1d15eb5a9e72af78c24aeeeae83224cb">StatsEventScoredKillData::m_PositionKiller</a></div><div class="ttdeci">vector m_PositionKiller</div><div class="ttdoc">position of killer</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00054">ScriptAnalytics.c:54</a></div></div>
<div class="ttc" id="aclass_stats_event_scored_kill_data_html_a3f6dfae4f8d241ecdcda36671944a7e0"><div class="ttname"><a href="../../df/db0/class_stats_event_scored_kill_data.html#a3f6dfae4f8d241ecdcda36671944a7e0">StatsEventScoredKillData::m_CharacterId</a></div><div class="ttdeci">string m_CharacterId</div><div class="ttdoc">character ID</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00051">ScriptAnalytics.c:51</a></div></div>
<div class="ttc" id="aclass_stats_event_scored_kill_data_html_a44b07b761d7313189a1ef70b6f5390e9"><div class="ttname"><a href="../../df/db0/class_stats_event_scored_kill_data.html#a44b07b761d7313189a1ef70b6f5390e9">StatsEventScoredKillData::m_KillDistance</a></div><div class="ttdeci">int m_KillDistance</div><div class="ttdoc">distance in meters (rounded) between killer and victim</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00053">ScriptAnalytics.c:53</a></div></div>
<div class="ttc" id="aclass_stats_event_scored_kill_data_html_ae9b5aee8f044f620080ffdea154a9436"><div class="ttname"><a href="../../df/db0/class_stats_event_scored_kill_data.html#ae9b5aee8f044f620080ffdea154a9436">StatsEventScoredKillData::m_PositionVictim</a></div><div class="ttdeci">vector m_PositionVictim</div><div class="ttdoc">position of victim</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00055">ScriptAnalytics.c:55</a></div></div>
<div class="ttc" id="aclass_stats_event_scored_kill_data_html_aea4610607d86a7e80bcfb991367f7a41"><div class="ttname"><a href="../../df/db0/class_stats_event_scored_kill_data.html#aea4610607d86a7e80bcfb991367f7a41">StatsEventScoredKillData::m_WeaponName</a></div><div class="ttdeci">string m_WeaponName</div><div class="ttdoc">name of weapon which killed player (victim)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00052">ScriptAnalytics.c:52</a></div></div>
<div class="ttc" id="aclass_stats_event_spawned_data_html"><div class="ttname"><a href="../../d3/d97/class_stats_event_spawned_data.html">StatsEventSpawnedData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00066">ScriptAnalytics.c:67</a></div></div>
<div class="ttc" id="aclass_stats_event_spawned_data_html_a19e343dedd317331ac3175e84dea4498"><div class="ttname"><a href="../../d3/d97/class_stats_event_spawned_data.html#a19e343dedd317331ac3175e84dea4498">StatsEventSpawnedData::m_Lifetime</a></div><div class="ttdeci">int m_Lifetime</div><div class="ttdoc">lifetime of character in seconds</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00069">ScriptAnalytics.c:69</a></div></div>
<div class="ttc" id="aclass_stats_event_spawned_data_html_a3ee6f6078ec83b2dac656b2a8c658932"><div class="ttname"><a href="../../d3/d97/class_stats_event_spawned_data.html#a3ee6f6078ec83b2dac656b2a8c658932">StatsEventSpawnedData::m_DaytimeHour</a></div><div class="ttdeci">int m_DaytimeHour</div><div class="ttdoc">current time in hour (hour in 24h)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00072">ScriptAnalytics.c:72</a></div></div>
<div class="ttc" id="aclass_stats_event_spawned_data_html_a40f581a5183433f1a5559f7ad1bfca31"><div class="ttname"><a href="../../d3/d97/class_stats_event_spawned_data.html#a40f581a5183433f1a5559f7ad1bfca31">StatsEventSpawnedData::m_Population</a></div><div class="ttdeci">int m_Population</div><div class="ttdoc">population of current gameplay (server)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00071">ScriptAnalytics.c:71</a></div></div>
<div class="ttc" id="aclass_stats_event_spawned_data_html_aa4d9b30ea53931b243059a0d8a33fd77"><div class="ttname"><a href="../../d3/d97/class_stats_event_spawned_data.html#aa4d9b30ea53931b243059a0d8a33fd77">StatsEventSpawnedData::m_Position</a></div><div class="ttdeci">vector m_Position</div><div class="ttdoc">position of spawn</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00070">ScriptAnalytics.c:70</a></div></div>
<div class="ttc" id="aclass_stats_event_spawned_data_html_acd6a04c3f5056931ccd89339b0418850"><div class="ttname"><a href="../../d3/d97/class_stats_event_spawned_data.html#acd6a04c3f5056931ccd89339b0418850">StatsEventSpawnedData::m_CharacterId</a></div><div class="ttdeci">string m_CharacterId</div><div class="ttdoc">character ID</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/daa/_script_analytics_8c_source.html#l00068">ScriptAnalytics.c:68</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_4fd8ecf4cf2c263f518b33961617e6e9.html">Analytics</a></li><li class="navelem"><a class="el" href="../../d8/daa/_script_analytics_8c.html">ScriptAnalytics.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
